package com.zjrs.zwnw.portal.dto;

import jakarta.validation.constraints.NotBlank;

public class SaveFbglZwDTO {
    private String rsxxlxlsh; // 主键

    @NotBlank(message = "缺少消息类型参数")
    private String xxlx;//消息类型

    @NotBlank(message = "缺少标题参数")
    private String bt;//标题

    private String wh;//文号

    @NotBlank(message = "缺少置顶标志参数")
    private String zdbz;//置顶标志

    private String ztc;//主题词

    @NotBlank(message = "缺少发布渠道参数")
    private String fbqd;//发布渠道

    @NotBlank(message = "缺少业务主题参数")
    private String ywzt;//业务主题

    @NotBlank(message = "缺少正文统一存储id参数")
    private String zwtyccid;//正文统一存储id

    public String getBt() {
        return bt;
    }

    public void setBt(String bt) {
        this.bt = bt;
    }

    public String getWh() {
        return wh;
    }

    public void setWh(String wh) {
        this.wh = wh;
    }

    public String getZdbz() {
        return zdbz;
    }

    public void setZdbz(String zdbz) {
        this.zdbz = zdbz;
    }

    public String getXxlx() {
        return xxlx;
    }

    public void setXxlx(String xxlx) {
        this.xxlx = xxlx;
    }

    public String getZtc() {
        return ztc;
    }

    public void setZtc(String ztc) {
        this.ztc = ztc;
    }

    public String getFbqd() {
        return fbqd;
    }

    public void setFbqd(String fbqd) {
        this.fbqd = fbqd;
    }

    public String getYwzt() {
        return ywzt;
    }

    public void setYwzt(String ywzt) {
        this.ywzt = ywzt;
    }

    public String getZwtyccid() {
        return zwtyccid;
    }

    public void setZwtyccid(String zwtyccid) {
        this.zwtyccid = zwtyccid;
    }

    public String getRsxxlxlsh() {
        return rsxxlxlsh;
    }

    public void setRsxxlxlsh(String rsxxlxlsh) {
        this.rsxxlxlsh = rsxxlxlsh;
    }
}
